## org.apache.ivy.osgi.obr.xml
Class RequirementFilter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.RequirementFilter

Direct Known Subclasses:
  CompareFilter, MultiOperatorFilter, UniOperatorFilter

    public abstract class RequirementFilter

extends java.lang.Object

Constructor Summary
`RequirementFilter()`

Method Summary
`abstract void` `append(java.lang.StringBuffer builder)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequirementFilter

    public RequirementFilter()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### append

    public abstract void append(java.lang.StringBuffer builder)